%define upstream_name    Hash-FieldHash
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A lightweight field hash implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(Test::LeakTrace) >= 0.70.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl-devel
%description
'Hash::FieldHash' provides the field hash mechanism which supports the
inside-out technique.

You may know 'Hash::Util::FieldHash'. It's a very useful module, but too
complex to understand all the functions and only available in 5.10.
'H::U::F::Compat' is available for pre-5.10, but it seems too slow to use.

This is an alternative to 'H::U::F' with following features:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml LICENSE example
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 537215
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.140.0-1.mga4
+ Revision: 486607
- update to 0.14

* Wed May 29 2013 jquelin <jquelin> 0.120.0-4.mga4
+ Revision: 431578
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-3.mga3
+ Revision: 368343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.120.0-2.mga3
+ Revision: 250753
- rebuild for perl 5.16

* Tue Nov 08 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 165446
- remove MYMETA from %%doc
- update to 0.12

* Thu Jun 30 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 116581
- imported package perl-Hash-FieldHash


* Thu Jun 30 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
